# ContentWasSelected(ContentSaliencyOption)

Method in [BestSaliencyStrategy](/api/csharp/yarn.saliency/yarn.saliency.bestsaliencystrategy.md)

## Summary

Called by Yarn Spinner to indicate that a piece of salient content has been selected, and this system should update any state related to how it selects content.

```csharp
public void ContentWasSelected(ContentSaliencyOption content)
```

## Remarks

If a content saliency strategy does not need to keep track of any state, then this method can be empty.

## Parameters

| Name                                                                                                            | Description                         |
| --------------------------------------------------------------------------------------------------------------- | ----------------------------------- |
| [Yarn.Saliency.ContentSaliencyOption](/api/csharp/yarn.saliency/yarn.saliency.contentsaliencyoption.md) content | The content that has been selected. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.saliency/yarn.saliency.bestsaliencystrategy/yarn.saliency.bestsaliencystrategy.contentwasselected.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
